QGIS 2.12 Crash when selecting object in editable SQL Server layer with rule based style

2015-10-28 04:43 PM - Martin Bain

Status: Closed

Priority: High

Assignee:

Category: Data Provider/MSSQL

Affected QGIS version:2.12.0 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:Yes Copied to github as #: 21729

Description

Using QGIS 2.12 32 bit on windows 7 32 bit

Start QGIS add a MS SQL Layer (we are using 2008 R2)  can be point, line or polygon

Change to rule based style and add a rule

Toggle Editing

Selecting an object will cause a crash

Sometimes a mini dump file is created. I have attached a zipped dmp file

History

#1 - 2015-10-29 02:43 AM - Saber Razmjooei

- Category set to Data Provider/MSSQL

#2 - 2015-11-07 12:07 AM - Giovanni Manghi

- Target version set to Future Release - High Priority

- Status changed from Open to Feedback

Did it worked correctly in previous qgis releases (no crash)?

#3 - 2015-11-08 01:35 PM - Martin Bain

Giovanni Manghi wrote:

Did it worked correctly in previous qgis releases (no crash)?

Yes, it worked in 2.8 and 2.10.  I have reverted to using 2.10. 

I have since observed the same crash behaviour using 2.12 on a Win 8.1 64 bit machine with a local SQL Server instance.

Thanks.

#4 - 2015-11-10 02:33 AM - Giovanni Manghi

- Affected QGIS version changed from master to 2.12.0

I have since observed the same crash behaviour using 2.12 on a Win 8.1 64 bit machine with a local SQL Server instance.
an you test qgis master? thanks.

#5 - 2015-11-12 02:20 AM - Martin Bain

Giovanni Manghi wrote:

an you test qgis master? thanks.

I have just tested in 2.12 nightly (revision 6ee8001) I was unable to cause a crash.  Issue appears resolved. Thank you.

#6 - 2015-11-13 02:11 AM - Giovanni Manghi

- Resolution set to fixed/implemented

- Status changed from Feedback to Closed

Files

qgis-20151029-102405-6068-5444-cd9d645.zip 3.59 MB 2015-10-28 Martin Bain
